<?php
/**
 * Review Order After Shipping EasyPack
 *
 * @author
 * @package    EasyPack/Templates
 * @version
 */

$parcel_machine_selected = false;
$selected                = '';


?>

<tr class="easypack-parcel-machine">
    <th class="easypack-parcel-machine-label">
        <?php __('Select Parcel Locker', EasyPack()::getTextDomain()); ?>
    </th>
    <td class="easypack-parcel-machine-select">

        <?php
        $cod = isset($_cod) && true === $_cod;

        $countryCode = EasyPack_API()->getCountry();

        if (EasyPack_API()::COUNTRY_UK === $countryCode) {
            $countryCode = 'uk';
            $lon         = '51.507351';
            $lat         = '-0.127758';
            $loc         = 'defaultLocation: [51.507351, -0.127758],';
        } else {
            $countryCode = 'pl';
            $lon         = '51.507351';
            $lat         = '-0.127758';
            $loc         = '';
        }
        ?>

        <?php if (defined('DOING_AJAX') && true === DOING_AJAX): ?>

            <?php $randomId = 'id' . rand(1, 9999); ?>
            <a id="popup-btn"></a>


            <button class="button alt"
                    name="geowidget_show_map"
                    id="geowidget_show_map"
                    value="<?php echo __('Select parcel locker', EasyPack()::getTextDomain()); ?>"
                    data-value="<?php echo  __('Select parcel locker', EasyPack()::getTextDomain()); ?>">
                <?php echo  __('Select parcel locker', EasyPack()::getTextDomain()); ?></button>

            <script type="text/javascript">
                var initiated = false;

                window.easyPackAsyncInit = (function () {
                    easyPack.init({});});
                    //var button = document.getElementById('geowidget_show_map');

                jQuery( document ).ready(function() {
                    jQuery('#geowidget_show_map').click( function (e) {
                        e.preventDefault();
                        easyPack.init({
                            apiEndpoint: '<?php echo EasyPack_API()->getGeoWidgetApiUrl()?>',
                            defaultLocale: '<?php echo $countryCode?>',
                            closeTooltip: false,
                            points: {
				                <?php if (EasyPack_API()::COUNTRY_PL === EasyPack_API()->api_country()):?>
                                types: ['parcel_locker', 'pop'],
				                <?php else:?>
                                types: ['parcel_locker_only'],
				                <?php endif?>
                                functions: ['parcel_collect']
                            },
                            map: {
				                <?php echo $loc?>
                                useGeolocation: true
                            }
                        });
                        easyPack.modalMap(function (point, modal) {
                            modal.closeModal();
                            var parcelMachineAddressDesc = getAddressByPoint(point);
                            jQuery('#parcel_machine_id').val(point.name);
                            jQuery('#parcel_machine_desc').val(parcelMachineAddressDesc);
                            jQuery('#selected-parcel-machine').removeClass('hidden');
                            jQuery('#selected-parcel-machine-id').html(parcelMachineAddressDesc);
                        }, {width: 500, height: 600});

                        setTimeout(function () {
                            jQuery("html, body").animate({scrollTop: jQuery('#widget-modal').offset().top}, 1000);

                        }, 0);


                    });
                });


            </script>


            <div id="selected-parcel-machine" class="hidden">
                <div><span class="font-height-600">
                <?php echo __('Selected Parcel Locker:', EasyPack()::getTextDomain()); ?>
                </span></div>
                <span class="italic" id="selected-parcel-machine-id"></span>
            </div>

<!--
            <div id="easypack-map" style="min-width: 400px; height: 400px; margin: 20px auto!important;">
                <div id="<?php /*echo $randomId */?>"></div>
            </div>-->
            <input type="hidden" id="parcel_machine_id" name="parcel_machine_id"/>
            <input type="hidden" id="parcel_machine_desc" name="parcel_machine_desc"/>

        <?php else: ?>

        <?php endif ?>


    </td>
</tr>
